#!/usr/bin/perl -w

use Apache::Constants;
#use Apache::PerlSections;
use Cobalt::Product;
use Cobalt::Vsite;

# Only a temp variable until we go the whole hog.
$Httpd_conf;

my @ssl_conf;
my $ip;
my $group;

open(HTTPD_CONF,"/etc/httpd/conf/httpd.conf") ||
	die "What ? We can't read our own configuration file?: $!";


# O.K. What we bassically want to do is build up new section in the conf file
# for SSL sections.
while(<HTTPD_CONF>) {
	if (/^<VirtualHost [\d\.]+>$/ ... /^<\/VirtualHost>$/) {
		$ip = $1 if ( /^<VirtualHost ([\d\.]+)>/o );
		next if (/^<Virtual/);
		$group = $1 if ( /DocumentRoot $Userdir\/([^\/]+)/o );
		s/http/https/go;
		s/80/443/go;
		push @ssl_conf, $_;
		if (/^<\/Virtual/ && vsite_get_ssl($group) ) {
			my $ret = vsite_check_cert($group);
			if ($ret=~/^2/o) {
				$Httpd_conf .= "<VirtualHost $ip:443>\n";
				$Httpd_conf .=  "SSLengine on\n";
				$Httpd_conf .= join('', @ssl_conf);
				@ssl_conf = ();
			} else {
				print "Site $group has invalid certificate: $ret\n";
			}
		}		
	}
}

print $Httpd_conf;

1;
