# Copyright 1998-2000 Cobalt Networks
#
package Cobalt::Layout;

use Cobalt::Util;

use vars qw(@ISA @EXPORT @EXPORT_OK);
require Exporter;
#require SelfLoader;
#@ISA	= qw(Exporter SelfLoader);
@ISA	= qw(Exporter);

@EXPORT = qw(layout_personal layout_siteManage layout_sysManage);

my $AdminPages_dir="/usr/admserv/html/.cobalt";
my $Template_dir="/usr/admserv/templates";
my ($relativeDir,$targetDir);
my ($indexTemplatePath,$mainTemplatePath,$subTemplatePath,$leftTemplatePath,$rightTemplatePath);
my (@filesToCopy,@titles,@mainMenuOn,@mainMenuOff,@subMenuOn,@subMenuOff,@mainHelp,@subHelp,@pageURLs);

sub layout_personal
{
# this is used to specify location of pages
    $relativeDir="personal";
    
# this is where all the pages go
    $targetDir="$AdminPages_dir/personal";
    
# several important templates
    $indexTemplatePath="$Template_dir/personalIndex.tmpl";
    $mainTemplatePath="$Template_dir/personalMainMenu.tmpl";
    $subTemplatePath="$Template_dir/personalSubMenu.tmpl";
    $leftTemplatePath="";
    $rightTemplatePath="$Template_dir/right.tmpl";

    @titles=(
	     '[str.personalProfile]',
	     '[str.personalProfile]',
	     '[str.personalProfile]',
	     '[str.personalProfile]',
	     '[str.personalProfile]',
	     );
    
    @mainMenuOn=(
		 '<IMG SRC="/cobalt-images/p_modify_but_on.gif" BORDER=0 WIDTH=147 HEIGHT=30>',
		 '<IMG SRC="/cobalt-images/p_email_but_on.gif" BORDER=0 WIDTH=147 HEIGHT=30>',
		 '<IMG SRC="/cobalt-images/p_usedata_but_on.gif" BORDER=0 WIDTH=147 HEIGHT=30>',
		 '<IMG SRC="/cobalt-images/p_backup_but_on.gif" BORDER=0 WIDTH=147 HEIGHT=30>',
		 '<IMG SRC="/cobalt-images/p_restore_but_on.gif" BORDER=0 WIDTH=147 HEIGHT=30>',
		 );
    
    @mainMenuOff=(
		  '<IMG SRC="/cobalt-images/p_modify_but_off.gif" BORDER=0 WIDTH=147 HEIGHT=30>',
		  '<IMG SRC="/cobalt-images/p_email_but_off.gif" BORDER=0 WIDTH=147 HEIGHT=30>',
		  '<IMG SRC="/cobalt-images/p_usedata_but_off.gif" BORDER=0 WIDTH=147 HEIGHT=30>',
		  '<IMG SRC="/cobalt-images/p_backup_but_off.gif" BORDER=0 WIDTH=147 HEIGHT=30>',
		  '<IMG SRC="/cobalt-images/p_restore_but_off.gif" BORDER=0 WIDTH=147 HEIGHT=30>',
		  );
    
    @subMenuOn=(
		[],
		[],
		[],
		[],
		[],
		);
    
    @subMenuOff=(
		 [],
		 [],
		 [],
		 [],
		 [],
		 );
    
    @mainHelp=(
	       '[str.homeModUserHelp]',
	       '[str.homeEmailHelp]',
	       '[str.homeUsageHelp]',
	       '[str.homeBackupHelp]',
	       '[str.homeRestoreRaqHelp]',
	       );
    
    @subHelp=(
	      [],
	      [],
	      [],
	      [],
	      [],
	      );
    
    @pageURLs=(
	       [
		'/cgi-bin/.cobalt/profileMod/profileMod.cgi',
		],
	       [
		'/cgi-bin/.cobalt/email/email.cgi',
		],
	       [
		'/cgi-bin/.cobalt/userUsage/userUsage.cgi',
		],
	       [
		'/cgi-bin/.cobalt/backup/backupmenu.cgi?PERSONAL',
		],
	       [
		'/cgi-bin/.cobalt/backup/restoremenu.cgi',
		],
	       );
    my $ret=generate();
}

sub layout_sysManage
{
    $relativeDir="sysManage";
    $targetDir="$AdminPages_dir/sysManage";
    
# several important templates
    $indexTemplatePath="$Template_dir/sysManageIndex.tmpl";
    $mainTemplatePath="$Template_dir/sysManageMainMenu.tmpl";
    $subTemplatePath="$Template_dir/sysManageSubMenu.tmpl";
    $leftTemplatePath="$Template_dir/sysManageLeft.tmpl";
    $rightTemplatePath="$Template_dir/right.tmpl";
    
# all these files will be copied to the target directory
    @filesToCopy=(
		  [ "$Template_dir/webUsageNoReport.tmpl", "../report/web/webUsage.html" ],
		  [ "$Template_dir/webUsageNoReport.tmpl", "../report/ftp/webUsage.html" ],
		  [ "$Template_dir/webUsageNoReport.tmpl", "../report/mail/webUsage.html" ],
		  );
    
    @titles=(
	     '[str.sysManageTitleRaq]',
	     '[str.sysManageTitleRaq]',
	     '[str.sysManageTitleRaq]',
	     '[str.sysManageTitleRaq]',
	     '[str.sysManageTitleRaq]',
	     '[str.sysManageTitleRaq]',
	     '[str.sysManageTitleRaq]',
	     );
    
    @mainMenuOn=(
		 '<IMG SRC="/.cobalt/images/a_site_manage_but_on.gif" BORDER="0" ALIGN="BOTTOM">',
		 '<IMG SRC="/.cobalt/images/a_administrator_but_on.gif" BORDER="0" ALIGN="BOTTOM">',
		 '<IMG SRC="/.cobalt/images/a_control_but_on.gif" BORDER="0" ALIGN="BOTTOM">',
		 '<IMG SRC="/.cobalt/images/a_maintenance_but_on.gif" BORDER="0" ALIGN="BOTTOM">',
		 '<IMG SRC="/.cobalt/images/a_site_usage_but_on.gif" BORDER="0" ALIGN="BOTTOM">',
		 '<IMG SRC="/.cobalt/images/a_system_but_on.gif" BORDER="0" ALIGN="BOTTOM">',
		 '<!-- -->',
		 );
    
    @mainMenuOff=(
		  '<IMG SRC="/.cobalt/images/a_site_manage_but_off.gif" BORDER="0" ALIGN="BOTTOM">',
		  '<IMG SRC="/.cobalt/images/a_administrator_but_off.gif" BORDER="0" ALIGN="BOTTOM">',
		  '<IMG SRC="/.cobalt/images/a_control_but_off.gif" BORDER="0" ALIGN="BOTTOM">',
		  '<IMG SRC="/.cobalt/images/a_maintenance_but_off.gif" BORDER="0" ALIGN="BOTTOM">',
		  '<IMG SRC="/.cobalt/images/a_site_usage_but_off.gif" BORDER="0" ALIGN="BOTTOM">',
		  '<IMG SRC="/.cobalt/images/a_system_but_off.gif" BORDER="0" ALIGN="BOTTOM">',
		  '<!-- -->',
		  );
    
    @subMenuOn=(
		[],
		[],
		[
		 '<IMG SRC="/.cobalt/images/a_top_control_services1.gif" ALIGN="TOP" BORDER="0">',
		 '<IMG SRC="/.cobalt/images/a_top_control_network1.gif" ALIGN="TOP" BORDER="0">',
		 '<IMG SRC="/.cobalt/images/a_top_control_time1.gif" ALIGN="TOP" BORDER="0">',
		 ],
		[
		 '<IMG SRC="/.cobalt/images/a_top_maint_backup1.gif" ALIGN="TOP" BORDER="0">',
		 '<IMG SRC="/.cobalt/images/a_top_maint_restore1.gif" ALIGN="TOP" BORDER="0">',
		 '<IMG SRC="/.cobalt/images/a_top_maint_install1.gif" ALIGN="TOP" BORDER="0">',
		 '<IMG SRC="/.cobalt/images/a_top_maint_storage1.gif" ALIGN="TOP" BORDER="0">',
		 '<IMG SRC="/.cobalt/images/a_top_maint_reboot1.gif" ALIGN="TOP" BORDER="0">',
		 '<IMG SRC="/.cobalt/images/a_top_maint_shutdown1.gif" ALIGN="TOP" BORDER="0">',
		 ],
		[
		 '<IMG SRC="/.cobalt/images/a_top_stat_total1.gif" ALIGN="TOP" BORDER="0">',
		 '<IMG SRC="/.cobalt/images/a2_top_stat_web1.gif" ALIGN="TOP" BORDER="0">',
		 '<IMG SRC="/.cobalt/images/a2_top_stat_ftp1.gif" ALIGN="TOP" BORDER="0">',
		 '<IMG SRC="/.cobalt/images/a2_top_stat_email1.gif" ALIGN="TOP" BORDER="0">',
		 ],
		[],
		);
    
    @subMenuOff=(
		 [],
		 [],
		 [
		  '<IMG SRC="/.cobalt/images/a_top_control_services.gif" ALIGN="TOP" BORDER="0">',
		  '<IMG SRC="/.cobalt/images/a_top_control_network.gif" ALIGN="TOP" BORDER="0">',
		  '<IMG SRC="/.cobalt/images/a_top_control_time.gif" ALIGN="TOP" BORDER="0">',
		  ],
		 [
		  '<IMG SRC="/.cobalt/images/a_top_maint_backup.gif" ALIGN="TOP" BORDER="0">',
		  '<IMG SRC="/.cobalt/images/a_top_maint_restore.gif" ALIGN="TOP" BORDER="0">',
		  '<IMG SRC="/.cobalt/images/a_top_maint_install.gif" ALIGN="TOP" BORDER="0">',
		  '<IMG SRC="/.cobalt/images/a_top_maint_storage.gif" ALIGN="TOP" BORDER="0">',
		  '<IMG SRC="/.cobalt/images/a_top_maint_reboot.gif" ALIGN="TOP" BORDER="0">',
		  '<IMG SRC="/.cobalt/images/a_top_maint_shutdown.gif" ALIGN="TOP" BORDER="0">',
		  ],
		 [
		  '<IMG SRC="/.cobalt/images/a_top_stat_total.gif" ALIGN="TOP" BORDER="0">',
		  '<IMG SRC="/.cobalt/images/a2_top_stat_web.gif" ALIGN="TOP" BORDER="0">',
		  '<IMG SRC="/.cobalt/images/a2_top_stat_ftp.gif" ALIGN="TOP" BORDER="0">',
		  '<IMG SRC="/.cobalt/images/a2_top_stat_email.gif" ALIGN="TOP" BORDER="0">',
		  ],
		 [],
		 );
    
    @mainHelp=(
	       '[str.adminSitesHelp]',
	       '[str.adminAdminModHelp]',
	       '[str.adminControlPanelHelpRaq]',
	       '[str.adminMaintenanceHelp]',
	       '[str.adminSiteUsageHelp]',
	       '[str.adminSystemStatusHelp]',
	       'X',
	       );
    
    @subHelp=(
	      [],
	      [],
	      [
	       '[str.adminCpServicesHelp]',
	       '[str.adminCpNetworkHelp]',
	       '[str.adminCpTimeHelp]',
	       ],
	      [
	       '[str.adminBackupHelp]',
	       '[str.adminRestoreHelp]',
	       '[str.adminInstallHelp]',
	       '[str.adminStorageHelp]',
	       '[str.adminRebootHelp]',
	       '[str.adminShutdownHelp]',
	       ],
	      [
	       '[str.adminUseTotalHelp]',
	       '[str.adminUseWebHelp]',
	       '[str.adminUseFTPHelp]',
	       '[str.adminUseEmailHelp]',
	       ],
	      [],
	      [],
	      );
    
    @pageURLs=(
	       [
		'/cgi-bin/.cobalt/siteList/siteList.cgi',
		],
	       [
		'/cgi-bin/.cobalt/admin/admin.cgi',
		],
	       [
		'/cgi-bin/.cobalt/services/services.cgi',
		'/cgi-bin/.cobalt/network/network.cgi',
		'/cgi-bin/.cobalt/time/timehtml.cgi',
		],
	       [
		'/cgi-bin/.cobalt/backup/backupmenu.cgi',
		'/cgi-bin/.cobalt/backup/restoremenu.cgi',
		'/cgi-bin/.cobalt/install/install.cgi',
		'/cgi-bin/.cobalt/disk/diskList.cgi',
		'/cgi-bin/.cobalt/reboot/reboot.cgi',
		'/.cobalt/shutdown/',
		],
	       [
		'/cgi-bin/.cobalt/totUsage/totUsage.cgi',
		'/.cobalt/report/web/webUsage.html',
		'/.cobalt/report/ftp/webUsage.html',
		'/.cobalt/report/mail/webUsage.html',
		],
	       [
		'/cgi-bin/.cobalt/alert/alert.cgi',
		],
	       [
		'/cgi-bin/.cobalt/alert/alert.cgi',
		],
	       );

    my $ret=generate();
}

sub layout_siteManage
{
        my ($group,$hostname) = @_;
    
        # this is used to specify location of pages
        $relativeDir="siteManage/$group";

        # this is where all the pages goes
	$targetDir="$AdminPages_dir/siteManage/$group";

        # several important templates
	$indexTemplatePath="$Template_dir/siteManageIndex.tmpl";
	$mainTemplatePath="$Template_dir/siteManageMainMenu.tmpl";
	$subTemplatePath="$Template_dir/siteManageSubMenu.tmpl";
	$leftTemplatePath="";
	$rightTemplatePath="$Template_dir/right.tmpl";

        # all these files will be copied to the target directory
	@filesToCopy=(
		      [ "$Template_dir/webUsageNoReport.tmpl", "web.report/webUsage.html" ],
		      [ "$Template_dir/webUsageNoReport.tmpl", "ftp.report/webUsage.html" ],
		      [ "$Template_dir/webUsageNoReport.tmpl", "mail.report/webUsage.html" ],
		      );

	@titles=(
		 "[str.BCC_013] - $hostname",
		 "[str.BCC_013] - $hostname",
		 "[str.BCC_013] - $hostname",
		 "[str.BCC_013] - $hostname",
		 "[str.BCC_013] - $hostname",
		 "[str.BCC_013] - $hostname",
		 "[str.BCC_013] - $hostname",
		 "[str.BCC_013] - $hostname",
		 );
	
	@mainMenuOn=(
		     '<IMG SRC="/.cobalt/images/a2_user_manage_but_on.gif" BORDER="0" ALIGN="BOTTOM">',
		     '<IMG SRC="/.cobalt/images/a2_list_manage_but_on.gif" BORDER="0" ALIGN="BOTTOM">',
		     '<!-- non-clickable --><IMG SRC="/cobalt-images/a2_nav_spacer.gif" BORDER="0">',
		     '<IMG SRC="/.cobalt/images/a2_site_settings_but_on.gif" BORDER="0" ALIGN="BOTTOM">',
		     '<IMG SRC="/.cobalt/images/a2_ftp_set_but_on.gif" BORDER="0" ALIGN="BOTTOM">',
		     '<IMG SRC="/.cobalt/images/a2_ssl_but_on.gif" BORDER="0" ALIGN="BOTTOM">',
		     '<!-- non-clickable --><IMG SRC="/cobalt-images/a2_nav_spacer.gif" BORDER="0">',
		     '<IMG SRC="/.cobalt/images/a2_usage_but_on.gif" BORDER="0" ALIGN="BOTTOM">',
		     '<!-- non-clickable --><IMG SRC="/cobalt-images/a2_nav_spacer.gif" BORDER="0">',
		     '<IMG SRC="/.cobalt/images/a2_backup_but_on.gif" BORDER="0" ALIGN="BOTTOM">',
		     '<IMG SRC="/.cobalt/images/a2_restore_but_on.gif" BORDER="0" ALIGN="BOTTOM">',
		     );
	
	@mainMenuOff=(
		      '<IMG SRC="/.cobalt/images/a2_user_manage_but_off.gif" BORDER="0" ALIGN="BOTTOM">',
		      '<IMG SRC="/.cobalt/images/a2_list_manage_but_off.gif" BORDER="0" ALIGN="BOTTOM">',
		      '<!-- non-clickable --><IMG SRC="/cobalt-images/a2_nav_spacer.gif" BORDER="0">',
		      '<IMG SRC="/.cobalt/images/a2_site_settings_but_off.gif" BORDER="0" ALIGN="BOTTOM">',
		      '<IMG SRC="/.cobalt/images/a2_ftp_set_but_off.gif" BORDER="0" ALIGN="BOTTOM">',
		      '<IMG SRC="/.cobalt/images/a2_ssl_but_off.gif" BORDER="0" ALIGN="BOTTOM">',
		      '<!-- non-clickable --><IMG SRC="/cobalt-images/a2_nav_spacer.gif" BORDER="0">',
		      '<IMG SRC="/.cobalt/images/a2_usage_but_off.gif" BORDER="0" ALIGN="BOTTOM">',
		      '<!-- non-clickable --><IMG SRC="/cobalt-images/a2_nav_spacer.gif" BORDER="0">',
		      '<IMG SRC="/.cobalt/images/a2_backup_but_off.gif" BORDER="0" ALIGN="BOTTOM">',
		      '<IMG SRC="/.cobalt/images/a2_restore_but_off.gif" BORDER="0" ALIGN="BOTTOM">',
		      );
	
	@subMenuOn=(
		    [],
		    [],
		    [],
		    [],
		    [],
		    [
		     '<IMG SRC="/.cobalt/images/a2_top_stat_web1.gif" ALIGN="TOP" BORDER="0">',
		     '<IMG SRC="/.cobalt/images/a2_top_stat_ftp1.gif" ALIGN="TOP" BORDER="0">',
		     '<IMG SRC="/.cobalt/images/a2_top_stat_email1.gif" ALIGN="TOP" BORDER="0">',
		     '<IMG SRC="/.cobalt/images/a2_top_stat_disk1.gif" ALIGN="TOP" BORDER="0">',
		     ],
		    [],
		    [],
		    );
	
	@subMenuOff=(
		     [],
		     [],
		     [],
		     [],
		     [],
		     [
		      '<IMG SRC="/.cobalt/images/a2_top_stat_web.gif" ALIGN="TOP" BORDER="0">',
		      '<IMG SRC="/.cobalt/images/a2_top_stat_ftp.gif" ALIGN="TOP" BORDER="0">',
		      '<IMG SRC="/.cobalt/images/a2_top_stat_email.gif" ALIGN="TOP" BORDER="0">',
		      '<IMG SRC="/.cobalt/images/a2_top_stat_disk.gif" ALIGN="TOP" BORDER="0">',
		      
		      ],
		     [],
		     [],
		     );
	
	@mainHelp=(
		   '[str.BCC_014]',
		   '[str.BCC_015]',
		   '[str.BCC_016]',
		   '[str.BCC_017]',
		   '[str.sslSiteUsageHelp]',
		   '[str.BCC_019]',
		   '[str.BCC_020]',
		   '[str.BCC_021]',
		   );
	
	@subHelp=(
		  [],
		  [],
		  [],
		  [],
		  [],
		  [
		   '[str.siteStatWebHelp]',
		   '[str.siteStatFtpHelp]',
		   '[str.siteStatEmailHelp]',
		   '[str.siteStatDiskHelp]',
		   ],
		  [],
		  [],
		  );
	
	@pageURLs=(
		   [
		    "/cgi-bin/.cobalt/siteUserList/siteUserList.cgi?group=$group",
		    ],
		   [
		    "/cgi-bin/.cobalt/mailListList/mailListList.cgi?group=$group",
		    ],
		   [
		    "/cgi-bin/.cobalt/siteMod/siteMod.cgi?group=$group",
		    ],
		   [
		    "/cgi-bin/.cobalt/siteFTP/index.cgi?group=$group",
		    ],
		   [
		    "/cgi-bin/.cobalt/siteSSL/siteSSL.cgi?group=$group",
		    ],
		   [
		    "/.cobalt/siteManage/$group/web.report/webUsage.html",
		    "/.cobalt/siteManage/$group/ftp.report/webUsage.html",
		    "/.cobalt/siteManage/$group/mail.report/webUsage.html",
		    "/cgi-bin/.cobalt/diskUsage/diskUsage.cgi?show=oneSite&site=$group",
		    ],
		   [
		    "/cgi-bin/.cobalt/backup/backupmenu.cgi?group=$group",
		    ],
		   [
		    "/cgi-bin/.cobalt/backup/restoremenu.cgi?group=$group",
		    ],
		   );
	my $ret=generate();
}


# was xyLayoutManager.pl
sub generate
{
# create target directory if it doesn't exist
    if( ! -d $targetDir ) { mkdir( $targetDir,0755 ); }
    
#
# copy pages
#
    my $i;
    for( $i=0; $i<=$#filesToCopy; $i++ ) {
	if ($filesToCopy[ $i ][ 1 ] =~ m/(.*)\/[^\/]+$/ &&
	    ! -d "$targetDir/$1") {
	    mkdir("$targetDir/$1",0755);
	}
	system("install -D $filesToCopy[ $i ][ 0 ] $targetDir/$filesToCopy[ $i ][ 1 ]");
    }
    
#
# build index page
#
    my $pageURLs='var pageURLs=new Array();';
    my $i;
    for( $i=0; $i<=$#pageURLs; $i++ ) {
	$pageURLs.="pageURLs[$i]=new Object();";
	
	my @urls=@{ $pageURLs[ $i ] };
	
	my $j;
	for( $j=0; $j<=$#urls; $j++ ) {
	    $pageURLs.="pageURLs[$i][$j]='$urls[ $j ]';";
	}
    }
    
    FILE_lock_w("$targetDir/index.html", *HTML) || return -1;
    FILE_lock_r($indexTemplatePath, *TEMPLATE) || return -1;
    
    while( <TEMPLATE> ) {
	s/\[PAGEURLS\]/$pageURLs/o;
	s/\[RELATIVEDIR\]/$relativeDir/o;
	
	print HTML;
    }

    FILE_unlock(*HTML, *TEMPLATE);

#
# build main menu
#
    my $i;
    for( $i=0; $i<=$#mainMenuOn; $i++ ) {
	my $buttons='';
	my $itemNum=0;
	my $j;
	for( $j=0; $j<=$#mainMenuOn; $j++ ) {
	    my $menuItem;
	    if( $itemNum==$i ) { $menuItem=$mainMenuOn[ $j ]; }
	    else { $menuItem=$mainMenuOff[ $j ]; }
	    
	    # if clickable
	    if( $menuItem!~s/^<!-- non-clickable -->//o ) {
		my $statmsg = MSG_get_ui("clickToNavigate");
		$buttons .= <<END;
<TR>
    <TD WIDTH="147">
	<A HREF="javascript: top.selectMainMenu( $itemNum );" onMouseOver="status='$clickToNavigate'; top.showInfo( '$mainHelp[ $itemNum ]' ); return true;">$menuItem</A>
    </TD>
</TR>
END
				
				# associated with number of clickables
				$itemNum++;
	    }
	    else {
		$buttons.=<<END;
<TR>
    <TD WIDTH="147">$menuItem</TD>
</TR>
END
	    }
	}
	
	FILE_lock_w("$targetDir/menu$i.html", *HTML) || return -1;
	FILE_lock_r($mainTemplatePath, *TEMPLATE) || return -1;
	
	while( <TEMPLATE> ) {
	    s/\[BUTTONS\]/$buttons/o;
	    s/\[LINE\]//o;
	    
	    print HTML;
	}
	
	FILE_unlock(*HTML, *TEMPLATE);
    }


#
# build submenu
#
    my $i;
    for( $i=0; $i<=$#subMenuOn; $i++ ) {
	my $j;
	for( $j=0; $j<=$#{ @subMenuOn[ $i ] }; $j++ ) {
	    
	    my $title=$titles[ $i ];
	    my $buttons='';
	    
	    my $itemNum=0;
	    my $k;
	    for( $k=0; $k<=$#{ @subMenuOn[ $i ] }; $k++ ) {
		my $menuItem;
		if( $j==$itemNum ) { $menuItem=$subMenuOn[ $i ][ $k ]; }
		else { $menuItem=$subMenuOff[ $i ][ $k ]; }
		
		# if clickable
		if( $menuItem!~s/^<!-- non-clickable -->//o ) {
		    my $statmsg = MSG_get_ui("clickToNavigate");
		    $buttons.=<<END;
<A HREF="javascript: top.selectSubMenu( $i, $itemNum );" onMouseOver="status='$clickToNavigate'; top.showInfo( '$subHelp[ $i ][ $itemNum ]' ); return true; ">$menuItem</A>
END
		    # associated with number of clickables
		    $itemNum++;
		}
		else { $buttons.=$menuItem; }
	    }
	    
	    FILE_lock_w("$targetDir/menu$i-$j.html", *HTML) || return -1;
	    FILE_lock_r($subTemplatePath, *TEMPLATE) || return -1;
	    
	    while( <TEMPLATE> ) {
		s/\[TITLE\]/$title/o;
		s/\[BUTTONS\]/$buttons/o;
		s/\[LINE\]//o;
		
		print HTML;
	    }
	    
	    FILE_unlock(*HTML, *TEMPLATE);
	}
	
	# build empty file if no submenu
	if( $#{ @subMenuOn[ $i ] }<0 ) {
	    
	    my $title=$titles[ $i ];
	    my $buttons='';
	    
	    FILE_lock_w("$targetDir/menu$i-0.html", *HTML) || return -1;
	    FILE_lock_r($subTemplatePath, *TEMPLATE) || return -1;
	    while( <TEMPLATE> ) {
		s/\[TITLE\]/$title/o;
		s/\[BUTTONS\]/$buttons/o;
		s/\[LINE\]//o;
		
		print HTML;
	    }
	    FILE_unlock(*HTML, *TEMPLATE);
	}
    }
    
    
#
# build page left if necessary
#
    if( $leftTemplatePath ) {
	FILE_lock_w("$targetDir/left.html", *HTML) || return -1;
	FILE_lock_r($leftTemplatePath, *TEMPLATE) || return -1;
	
	while( <TEMPLATE> ) {
	    s/\[MAIN\]/$pageURLs[ 0 ][ 0 ]/o;
	    s/\[RELATIVEDIR\]/$relativeDir/o;
	    
	    print HTML;
	}
	
	FILE_unlock(*HTML, *TEMPLATE);
    }


#
# build page right
#
    FILE_lock_w("$targetDir/right.html", *HTML) || return -1;
    FILE_lock_r($rightTemplatePath, *TEMPLATE) || return -1;

    while( <TEMPLATE> ) {
	s/\[MAIN\]/$pageURLs[ 0 ][ 0 ]/o;
	s/\[RELATIVEDIR\]/$relativeDir/o;
	
	print HTML;
    }
    FILE_unlock(*HTML, *TEMPLATE);

    return 0;
}

1;
