#
# $Id: Product.pm,v 1.110 1999/09/29 06:19:39 asun Exp $
#
# Written by Brion Moss (brion@cobaltnet.com, brion@nda.com)
#
# Copyright 1998 Cobalt Networks http://www.cobaltnet.com
#

# To add a variable to the sauce:
#
#   1) add it to the @EXPORT list in Product.pm (this file).  Please try
#      to keep the list sorted.
#   2) add the definition for the variable to each of the Product_*.pm files.
#      Try to put it in the appropriate section (or make a new section, if
#      none of the existing ones are appropriate).
#
#  All sauce-exported variables should be capitalized.

package Cobalt::Product;

require Exporter;
@ISA    = qw(Exporter);
# In order to re-export all the variables we pull in
# from the individual product files, we need to
# list all the variables here.  However...we just pull in this
# list in each of the Product_* files, so we only have this
# list once, right here.  Cool, eh?
@EXPORT = qw($Access_file  
	     $Access_log
	     $Access_logrotate
	     $Add_user_template
	     $AdminCGIs_dir   
	     $AdminPages_dir   
	     $AdminConf
	     $AdminPid
	     $Adminpass
	     $Adminuser
	     $AdminUser
             $AdminGroup
	     $AdminServer_dir
	     $AdminServer_port
	     $Admscript
	     $Adm_Authname
	     $Adm_access_log
	     $Adm_error_log
	     $Ahttpd
	     $AlertList
	     $Aliasfile
	     $Alias_db
	     $Altmp
	     $Allow_cgis_file
	     $Analog_cmd
	     $AppleVolumes
	     $AppleVolumes_lock
             $Arkeia_link
             $Arkeia_script
             $Arkeia_conf
	     $Atalklink
	     $Atalkscript
	     $NAS_sharedir
	     $NAS_mode_allread
	     $NAS_mode_allnoread
	     $NAS_mode_allread_dir
	     $NAS_mode_allnoread_dir
	     $NAS_shareOwner
	     $NAS_mainShareDev
	     $NAS_quotafudge
	     $NAS_groupdiff
	     $NAS_lastshare
	     %NAS_nonsharefs
	     $NAS_usershell
	     $NAS_userhome
	     $Netatalk_passwd
	     $Netatalk_ptmp
	     $Authtype
	     $Big_tmp
	     $Badshell
	     $BytesPerBlock
	     $bw_setip_prog
	     $bw_value_off
	     $Certdir
	     $Chap_secrets
	     $Chat_script
	     $Choose_Template
	     $Clock_cmd
	     $Cobalt_dir
	     $CollYel
	     $CollRed
	     @Colors
	     $Console
	     $ControlPanel_dir 
	     $Cron_basedir
	     $Cron_link
	     $Cron_script
	     $Crontab
	     $Crontab_bin
	     @Cron_Intervals
	     $Cron_log
	     $Custo_link
	     $Custo_pid
	     $Custo_script
	     $Date_cmd
	     $DB_dir
	     $DB_dir_root
	     $Debug
	     $DefaultName
	     $DefaultPolicy
	     $Dhcpd_conf
	     $Dhcpd_leases
	     $Dhcpd_pidfile
	     $Dhcpdlink
	     $Dhcpdscript
	     $Dhcpd_default_lease
	     $Diald_bin
	     $Diald_conf
	     $Diald_ctl
	     $Diald_link
	     $Diald_script
	     $Diald_stop0
	     $Diald_stop6
	     $DialdRemoteIP
	     @Discuss_cgis
	     $Discuss_dir
	     @Discuss_html
	     $Discuss_html_dir
	     $Discuss_skel
	     $DiskYel
	     $DiskRed
	     $Df_cmd
	     $Dns_cgi
	     $Dns_notification
	     $Domainword
	     $EmailVirtUser
	     $Error_log
	     $Exports_file
	     $Exports_cmd
	     %Features
	     $Fetchmail
	     $Fetchmailrc_dir
	     $Fetchmail_lock
	     $Fetchmail_script
	     $Filter_cmd
	     $Filter_link
	     $Filter_script
	     $Firstgid
	     $Firstuid    
	     $ForwardFile
	     $Fpx_cnfdir
	     $Fpx_we80cnf
	     $Fpx_admsrvexe
	     $Ftpd
	     $Ftpd_conf
	     $FtpAdminHelp
	     $FtpAdminHelpSrc
	     $FTP_log
	     $FTP_script
	     $FTP_link
	     $FTPAnonQuota
	     $FTPUsersMax
	     $FTPUsersList
	     $Gated_conf
	     $Gated_link
	     $Gated_script
 	     $GenerateVsitesChoose
	     $GenerateVsitesModify
	     $GenerateVsitesUsers
	     $GenWebUsageInterval
	     $Group
	     $Groups_dir       
	     $Group_skel
	     $Grpconv
	     $GrpQuota
	     $Gtmp
	     $Gzip
	     $H2n_cmd
	     @Hidden_servers
	     $Hostfile     
	     $Hostname_cmd 
	     $Hostnamefile 
	     $Htconf      
	     $Htgtmp
	     $Htgroup
	     $Htgroup_dir
	     $Htpasswd    
	     $Htpid
	     $Htptmp   
	     $Htscript
	     $Htssldir
	     $Httpd
	     $Htusers_dir 
	     $If_cfg_dir
	     $Ifconfig_cmd 
	     $If_cfg
	     $Ifup
	     $Ifdown
	     $Images_dir       
	     $ImagesUrl
	     $Inetd_conf 
	     $Inetd_pid  
	     $Inetd_script
	     $InfoPlace_backup
	     $Inittab
	     $Issuefile
	     $Kill
	     $Lcdbin
	     $Lcdsleepscript
	     $Lcdshowscript
	     $Lchown_cmd
	     $Linkstatus
	     $Listupgrades_cmd
	     $LoadYel
	     $LoadRed
	     $Localtime_link
	     $Lockdir
	     $Log_archive
	     $Logdir
             $Logrotate_boot
	     $Logrotate_dir
             $MailAccessDB
	     $MailIPList
	     $MaxListNameLen
	     $MaxHostnameLen
	     $MaxWebBackup
	     $MailDenyFile
	     $MailGroup
	     $Maillink 
	     $Mail_cmd
	     $Mail_log
             $MailMesMax
	     $MailNameList
	     $MailRelayList
	     $Mailscript
	     $Mailspool 
	     $MailspoolSrc
	     $MailSpoolMax
	     $MainGroup
	     $Majordomo_aliases
	     $Majordomo_user
	     $Majordomo_group
	     $Majordomo_dir
	     $Majordomo_list_owner
	     $Majordomo_owner
	     $Majordomo_server
	     $Majordomo_config_parse
	     $MakeMap_cmd
	     $MaxGcosLen
	     $MaxMembers
	     $MaxNameLen
	     $MaxPassLen
	     $Messages_dir
	     $MinTx
	     $MinPassLen
	     $MaxLockAge
	     $MaxQuota
	     $Modem_conf
	     $ModemConnTime
	     $Modprobe
	     $MonDBDir
	     $MonRetries
	     $MonWait
	     $Mount_cmd
	     $Named_boot
	     $Named_conf
	     $Named_dir
	     $Named_disabled
	     $Named_exe
	     $Named_pid
	     $Named_script
	     $Nbplkup
	     $Newaliases_cmd
	     $Net_cfg
	     $Netconfig
	     $Netif
	     $Netif1
	     $Networker_config
             $Networker_link
	     $Networker_script
	     $Nfsd
	     $Nfslink
	     $Nfsscript
	     $Nice
	     $NiceBackups
	     $Netlock
	     $Nologin
	     $Nslookup
	     $NtpConf
	     $NTPd
	     $NTPlink
	     $NTPscript
	     $NtpcConf
	     $NtpcCron
	     $NtpDate
		 $Openssl_cmd
	     $Packages_dir
             $Pam_dir
	     $Pap_secrets
	     $Passwd      
	     $Plugins_dir
	     $Portmap_bin
	     $Portmap_link
	     $Portmap_script
	     $Ptmp        
	     $Private_html
	     $ProcCache
	     $Ps_cmd
	     $Pwconv
	     $Q_GETQUOTA
	     $Q_SYNC
	     $Q_SETQLIM
	     $Quota_harder
	     $Quotacheck_cmd
	     $Quotaon_cmd
	     $QuotYel
	     $QuotRed
	     $Report_dir       
	     $Resolvconf   
	     $Route_cmd    
	     $Runlevel_cmd
	     $Sauce_log
	     $Search_dir
	     $SecretTelnetPort
	     $Securetty
	     $Security_dir     
	     $Sendmail
	     $Sendmail_conf
	     $Sendmail_cw
	     $Sendmail_flush_script
	     $Sendmail_pidfile
	     %Servers
	     @Services
             %Servers_nofix
	     $Services_dir     
	     %Services_default
	     %SeverityLogo
	     %defcon_images
	     $Sfdisk_cmd
	     $ShiftJISToJIS_prog
	     $Showmount
             $Mount_cmd
             $Umount_cmd
	     $Shutdown_dir
	     $Sites_AdminGroup
	     $Sites_DelLock
	     $Sites_path
	     $Sites_Max
	     $Sites_usermax
	     $Smb_log
	     $Smbclient
	     $Smbconf
	     $Smbd
	     $Smblink
	     $Smbpasswd
	     $Smbptmp
	     $Smbscript
	     $Smb_gethash
	     $Smb_nmblookup
	     $Smb_scanlock
	     $Smb_testparm
	     $Smb_wglist
	     $SNMPconf
	     $SNMPlink
	     $SNMPscript
	     $SNMPd
             $Split_access
	     $SSL_script
	     $Static_routes
	     %Status
	     $Status_db
	     $Stat_lim_expire
	     $Stat_relimit
	     $Subsys
	     %Subsys_dirs
	     $SwapYel
	     $SwapRed
	     $SysManage_dir    
	     %System_groups
	     %System_users
	     $Sysinit_script
	     $Syslog_script
		 $SYS_Linux
	     $SYS_quotactl
	     $SUBCMDMASK
	     $SUBCMDSHIFT
	     $Tar
	     $Telnet_bin
	     $Telnet_cmd
	     $Template_dir
	     $Time_dir         
             $Time_DBdir
	     $Top_dir
	     $Uiconstructor
	     $Uid_file
	     $Umount_cmd
	     $Uninstall_cmd
	     $Upgrade_cmd
	     $UsageData_dir    
	     $UserCGIs_dir
	     $Userdir     
	     $UserDirGroup
	     $UserDirPermissions
	     $UserWebPermissions
	     $Usergroup   
	     $UserImages_dir
	     $UserPages_dir
	     $Userpart
	     $UserPrivateDirPermissions
	     $Users_dir        
	     $UserServer_dir
	     $Usershell
	     $User_skel
	     $Usr_Authname
	     $UsrQuota
	     $Vaca_dir
	     $Vaca_prog
	     $Vaca_timeout
	     $Varpart
	     $VmemYel
	     $VmemRed
	     $Vol_rootdir
	     $Vol_diskdir
             $Vol_sitepattern
             $Vol_home
             $Webdir
	     $Weblog_dir
	     $WWWgid
	     $WWWuid
	     $WWWuser
	     $Zone_dir
	     $Zone_table
	     $PRODUCT
	     $Perldir
	    );

$Debug             = -e "/etc/DEBUG";    # This file triggers debug mode
$Debug ||= 0;
$^W                = $Debug;             # Compiler warnings
#$Exporter::Verbose = $Debug;             # Verbose messages from the Exporter
#$Perldir           = "/usr/lib/perl5/site_perl/"; # where we find Perl modules

# The workgroup qube is the default product.
# Look, we need to default somehow; I'd rather pick some default
# than just barf if the user hasn't set things up.
$PRODUCT  = "wg";

# First, pull the product out of /etc/build; this means that if
# /etc/build exists we'll default to the same product as the
# system we're running on.

if (-r "/etc/build")
{
  open(BUILD,"/etc/build") || die "Cannot read /etc/build: $!\n";
  my $build = <BUILD>;
  close BUILD;
  $build =~ /^build ([\d\.]+) for a (\d+)(\w+)( in (\w+))?/o;
  ($PRODUCT) = ($3);
}

# If the product is defined in the environment, that
# should override whatever we got so far.
if ($ENV{'PRODUCT'}) {
  $PRODUCT = $ENV{'PRODUCT'};
}

if ($PRODUCT =~ /^\d/o) {
  # Looks like we got a product name like "2700WG" instead of "WG".
  # Strip off the numbers.
  $PRODUCT =~ s/^\d+//o;
}

# Calling the product "WGJ" is annoying, but we have to live with it
$PRODUCT = "wg" if ($PRODUCT eq "WGJ");

# Ahoy inconsistencies, sheesh.
$PRODUCT = "raq" if ($PRODUCT =~ /R/oi);
$PRODUCT = "haq" if ($PRODUCT =~ /0H/oi);

# Convert everything to lowercase to guarantee consistency
$PRODUCT = lc($PRODUCT);

print STDERR "Pulling in product definitions for $PRODUCT\n" if ($Debug);

#if (-e "$Perldir/Cobalt/Product_$PRODUCT.pm")
#{
  my $prod = $PRODUCT;
  eval "use Cobalt::Product_$PRODUCT; 1;"
    || warn "Cannot pull in definition for $PRODUCT: $!\n";

  $Perldir = "/usr/lib/perl5/site_perl"; # where we find Perl modules
  $PRODUCT = $prod;
#}
#else
#{
#  die "Unknown product $PRODUCT.  Set \$PRODUCT, use -p, or fix /etc/build.\n";
#}

# We get weird errors.  This is an awful kludgy way to avoid them.
# I wish I knew why they occurred...
$SIG{'SEGV'}  = sub { 
  warn "Whoa!  Hit $!" if (-e "/etc/DEBUG");  exec "/bin/false"; };

1;  # Do not remove this line
