#
# Written by Brion Moss (brion@cobaltnet.com, brion@nda.com)
#
# Copyright 1998 Cobalt Networks http://www.cobaltnet.com
#
# Pretty much all of our variables are set in this file.  There should be
# no hardcoded paths anywhere else (although there may be some hardcoded
# settings in the sysreset or monitor scripts in /usr/local/sbin).

# The autoize and undep scripts are used to pull the variables out of
# this file and put them directly into the perl scripts and modules, because
# this file is large and ponderous, and parsing it takes precious time.


#           !!!!!!!!!!!!!!!!!! IMPORTANT !!!!!!!!!!!!!!!!!!
#           !! If you add a variable to this file you    !!
#           !! also need to add it to the @EXPORTS list  !!
#           !!               in Product.pm               !!
#           !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!


package Cobalt::Product_d;
$PRODUCT = "d";  # for clarification
require Exporter;
@ISA    = qw(Exporter);
# We derive our export list from our parent.  Then our parent imports
# all those variables from us.  Holy circular logic, Batman!
@EXPORT = @Cobalt::Product::EXPORT;

$Lockdir          = "/etc/locks";   # Directory for lock files when editing

$BytesPerBlock=1024;

###
# Network services
#

# The main network services broker
$Inetd_conf       = "/etc/inetd.conf";
$Inetd_pid        = "/var/run/inetd.pid";     
$Inetd_script     = "/etc/rc.d/init.d/inet";  # script for (re)starting inetd

# Authentication variables used by both servers
$Access_file      = ".htaccess";
$Authtype         = "Basic";

# Admin web server
$Ahttpd           = "/usr/sbin/ahttpd";
$Adm_Authname     = "CobaltAdmin";
$Adm_access_log   = "/var/log/httpd/adm_access";  # Log file for admin server
$Adm_error_log    = "/var/log/httpd/adm_error";   # Error log for admin server
$AdminServer_dir  = "/home/admserv";  # All of the admin server files go here
$AdminServer_port = 81;               # TCP port that the admin server runs on
$AdminConf        = "/etc/admserv/conf";  # Config dir for admin server
$AdminPid         = "/var/run/admserv.pid";
$Admscript        = "/etc/rc.d/init.d/admserv.init";  # boot script
$AdminPages_dir   = "$AdminServer_dir/html/.cobalt";
$AdminCGIs_dir    = "$AdminServer_dir/cgi-bin/.cobalt";
$ControlPanel_dir = "$AdminPages_dir/controlPanel";
$Groups_dir       = "$AdminPages_dir/groups";
$Images_dir       = "$AdminPages_dir/images";
$Report_dir       = "$AdminPages_dir/report";
$Security_dir     = "$AdminPages_dir/security";
$Services_dir     = "$AdminPages_dir/services";
$Shutdown_dir     = "$AdminPages_dir/shutdown";
$SysManage_dir    = "$AdminPages_dir/sysManage";
$Time_dir         = "$AdminPages_dir/time";
$UsageData_dir    = "$AdminPages_dir/usageData";
$Users_dir        = "$AdminPages_dir/users";
$UserServer_dir   = "/home/httpd";
$UserImages_dir   = "$UserServer_dir/html/images"; 
$UserPages_dir    = "$UserServer_dir/html/cobalt"; 
$UserCGIs_dir     = "$UserServer_dir/cgi-bin/cobalt"; 

# Appleshare
$Atalklink        = "/etc/rc.d/rc3.d/S91atalk";
$Atalkscript      = "/etc/rc.d/init.d/atalk";
$Nbplkup          = "/usr/bin/nbplkup"; # atalk lookup program (to test if on)

# Microsoft FrontPage Server Extensions
$Fpx_we80cnf      = "/usr/local/frontpage/we80.cnf";
$Fpx_admsrvexe    = "/usr/local/frontpage/currentversion/bin/fpsrvadm.exe";

# FTP
$Ftpd             = "/usr/sbin/in.ftpd";
$Ftpd_conf 	  = "/etc/proftpd.conf";
$FTP_script       = "/etc/rc.d/init.d/ftpd";
$FTP_link         = "/etc/rc.d/rc3.d/S69ftpd";
$FTPAnonQuota     = 20;  # Default disk quota of anonymous FTP users
$FTPUsersMax      = 50;  # Default maximum number of anonymous FTP users
$FTPUsersList     = "/etc/ftpusers";       # list of users to be allowed/denied

# Mail
$MailIPList       = "/etc/mail/ip_allow";  # Network addresses which we relay
$MailDenyFile     = "/etc/mail/deny";      # Hosts we refuse to deal with
$MailNameList     = "/etc/mail/name_allow"; # Domain names which we relay
$MailRelayList    = "/etc/mail/relay_allow"; # Domain names which we relay
$MakeMap_cmd      = "/usr/bin/makemap";    # Program to rebuild deny database
$Mail_log         = "/var/log/maillog";    # sendmail log file
$Maillink         = "/etc/rc.d/rc3.d/S80sendmail";
$Mailscript       = "/etc/rc.d/init.d/sendmail";
$MailspoolSrc	  = "/var/spool/mail";     # user mailbox area
$Mailspool	  = "/home/spool/mail";    # user mailbox area
$MailSpoolMax     = 5000;                  # limit on mail spool size in kbytes
$MaxListNameLen   = 32;                    # Don't allow names longer than this
$Sendmail         = "/usr/sbin/sendmail";  # program for sending mail
$Sendmail_conf    = "/etc/sendmail.cf";
$Sendmail_cw      = "/etc/sendmail.cw";

# NFS
$Exports_file     = "/etc/exports";        # NFS configuration file
$Exports_cmd      = "/usr/sbin/exportfs";  # Command to reload NFS config file
$Nfsd             = "/usr/sbin/rpc.nfsd";
$Nfslink          = "/etc/rc.d/rc3.d/S60nfs";
$Nfsscript        = "/etc/rc.d/init.d/nfs";
$Portmap_link     = "/etc/rc.d/rc3.d/S40portmap";
$Portmap_script   = "/etc/rc.d/init.d/portmap.init";
$Showmount        = "/usr/sbin/showmount"; # The command to display exports

# DHCPd
$Dhcpd_conf       = "dhcpd.conf";
$Dhcpd_pidfile    = "/var/lock/dhcpd";
$Dhcpd_leases     = "/etc/dhcpd.leases";
$Dhcpdlink        = "/etc/rc.d/rc3.d/S86dhcpd";
$Dhcpdscript      = "/etc/rc.d/init.d/dhcpd";

# DNS
$Named_boot	  = "/etc/named.boot";		
$Named_disabled   = "/etc/named.disabled";
$Named_pid 	  = "/var/run/named.pid";
$Named_dir        = "/etc/named";  # /home/admserv/cgi-bin/.cobalt/dns";
$H2n_cmd	  = "/usr/local/sbin/h2n";
$Kill		  = "/bin/kill";
$Named_exe	  = "/usr/sbin/named";
$Named_script      = "/etc/rc.d/init.d/named.init";

# NTP (network time protocol)
$NTPd             = "/usr/sbin/ntpd";
$NTPscript        = "/etc/rc.d/init.d/ntpd";
$NTPlink          = "/etc/rc.d/rc3.d/S90ntpd";

# Samba (windows filesharing)
$Smbconf          = "/etc/smb.conf";
$Smbd             = "/usr/sbin/smbd";
$Smblink          = "/etc/rc.d/rc3.d/S91smb";
$Smbscript        = "/etc/rc.d/init.d/smb";
$Smb_testparm     = "/usr/bin/testparm";
$Smbclient        = "/usr/bin/smbclient";
$Smb_nmblookup    = "/usr/bin/nmblookup";
$Smb_gethash      = "/usr/sbin/gethash";
$Smbpasswd        = "/etc/smbpasswd";
$Smbptmp          = "/etc/smbptmp";
$Smb_scanlock     = "$Lockdir/smb_scanlock";
$Smb_wglist       = "/etc/workgroups";

# Fetchmail support
$Crontab_bin      = "/usr/bin/crontab";
$Fetchmail        = "/usr/bin/fetchmail";
$Fetchmailrc_dir  = "/var/fetchmail";

# SNMP (Simple Network Monitoring Protocol)
$SNMPconf         = '/etc/snmpd.conf';
$SNMPlink         = "/etc/rc.d/rc3.d/S96snmp";
$SNMPscript       = "/etc/rc.d/init.d/snmpd";
$SNMPd            = "/usr/sbin/snmpd";

# Telnet (login access)
$SecretTelnetPort = "telnet";   # telnet hides out on this port
$Nologin          = "/etc/nologin"; # file which toggles non-root login access
$Sysinit_script   = "/etc/rc.d/rc.sysinit"; # script which removes /etc/nologin

# WWW (Main web server)
$Access_log       = "/var/log/httpd/access";
$Error_log        = "/var/log/httpd/error";
$Htconf           = "/etc/httpd/conf"; # Web server config dir
$Htpid            = "/var/run/httpd.pid"; # PID for the webserver is here
$Httpd            = "/usr/sbin/httpd";
$Htscript         = "/etc/rc.d/init.d/httpd.init";
$Log_archive      = "/var/log/httpd";
$Usr_Authname     = "CobaltQube";
$WWWuid           = 15;                # The server runs as this uid
$WWWuser          = "httpd";           # and the name of this uid is...
$WWWgid           = 11;                # The server runs as this gid
$Allow_cgis_file  = "$Htconf/ALLOW_USER_CGIS";   # if exists, cgiwrap allows non-admin to run CGIs

# SSL (Secure Socket Layer web server on port 443)
$SSL_script       = "/etc/rc.d/init.d/https.init";

# Other directories we need for web thingies (discussion group, search engine)
$Cobalt_dir       = "$UserPages_dir";
$Discuss_dir      = "$UserCGIs_dir/discuss";  # Where discussion CGIs go
$Discuss_html_dir = "$UserPages_dir/discuss"; # Where discussion HTML goes
$Discuss_skel     = "/etc/skel/discuss";      # Where to find template files
@Discuss_html     = ("index.html","redirect.html");  # list of html templates
@Discuss_cgis     = ("followup.sh","post.sh","wwwadmin.pl", # cgi templates
		     "wwwboard.pl","index.cgi");
$Search_dir       = "$UserCGIs_dir/search";   # Where search CGIs go
$Template_dir     = "$UserServer_dir/templates";  # Main template area
$Top_dir          = "/home/";

# Networking setup
$DefaultName      = "localhost";        # At install time, we are known as this
$Hostfile         = "/etc/hosts";       # System hosts file
$Hostname_cmd     = "/bin/hostname";    # Location of the hostname command
$Hostnamefile     = "/etc/HOSTNAME";    # Linux's hostname file
$MaxHostnameLen   = 40;                 # max hostname length
$If_cfg_dir = "/etc/sysconfig/network-scripts"; # net interface config dir
$Ifup             = "$If_cfg_dir/ifup"; # script for bringing up net interfaces
$Ifdown           = "$If_cfg_dir/ifdown"; # script to bring down net interfaces
$Ifconfig_cmd     = "/sbin/ifconfig";   # Location of the ifconfig command
$Net_cfg          = "/etc/sysconfig/network";   # system network config file
$Netconfig        = "/etc/NET-CONFIG";  # specifies if DHCP
$Route_cmd        = "/sbin/route";      # Location of the route command
$Resolvconf       = "/etc/resolv.conf"; # Resolver config file
$Domainword       = "search";           # "search" or "domain" in resolv.conf
$Netif            = "eth0";             # The default network interface
$Netif1           = "eth1";             # The 2nd network interface
$If_cfg           = "$If_cfg_dir/ifcfg-$Netif"; # net interface config
$Netlock          = "$Lockdir/ifcfg-$Netif";  # network configuration semaphore

# IP Filtering
$Filter_cmd       = "/sbin/ipfwadm";    # command for setting IP filters
$Filter_link      = "/etc/rc.d/rc3.d/S11ipfilters";  # ip filter boot script
$Filter_script    = "/etc/rc.d/init.d/ipfilters";    # ip filter init script
$Modprobe         = "/sbin/modprobe";   # for loading kernel modules
$DefaultPolicy    = 'accept';  # policy for packets not matching any rules

# Time and timezone programs and config files
$Clock_cmd        = "/sbin/clock";
$Date_cmd         = "/bin/date";
$Localtime_link   = "/etc/localtime";
$Zone_dir         = "/usr/share/zoneinfo";
$Zone_table       = "/usr/share/zoneinfo/zone.tab";
%Zones            = (
		     "GMT+0" => "Europe/London",
		     "Europe/London" => "GMT+0",
		     "GMT+1" => "Europe/Rome",
		     "Europe/Rome" => "GMT+1",
		     "GMT+2" => "Europe/Athens",
		     "Europe/Athens" => "GMT+2",
		     "GMT+3" => "Asia/Baghdad",
		     "Asia/Baghdad" => "GMT+3",
		     "GMT+4" => "Asia/Muscat",
		     "Asia/Muscat" => "GMT+4",
		     "GMT+5" => "Asia/Karachi",
		     "Asia/Karachi" => "GMT+5",
		     #GMT+6
		     "GMT+7" => "Asia/Bangkok",
		     "Asia/Bangkok" => "GMT+7",
		     "GMT+8" => "Australia/Perth",
		     "Australia/Perth" => "GMT+8",
		     "GMT+9" => "Asia/Tokyo",
		     "Asia/Tokyo" => "GMT+9",
		     "GMT+10" => "Pacific/Guam",
		     "Pacific/Guam" => "GMT+10",
		     "GMT+11" => "Asia/Magadan",
		     "Asia/Magadan" => "GMT+11",
		     "GMT+12" => "Pacific/Fiji",
		     "Pacific/Fiji" => "GMT+12",
		     "GMT-1" => "Atlantic/Azores",
		     "Atlantic/Azores" => "GMT-1",
		     #GMT-2
		     "GMT-3" => "Brazil/East",
		     "Brazil/East" => "GMT-3",
		     "GMT-4" => "Canada/Atlantic",
		     "Canada/Atlantic" => "GMT-4",
		     "GMT-5" => "US/Eastern",
		     "US/Eastern" => "GMT-5",
		     "GMT-6" => "US/Central",
		     "US/Central" => "GMT-6",
		     "GMT-7" => "US/Mountain",
		     "US/Mountain" => "GMT-7",
		     "GMT-8" => "US/Pacific",
		     "US/Pacific" => "GMT-8",
		     "GMT-9" => "US/Alaska",
		     "US/Alaska" => "GMT-9",
		     "GMT-10" => "US/Hawaii",
		     "US/Hawaii" => "GMT-10",
		     "GMT-11" => "Pacific/Midway",
		     "Pacific/Midway" => "GMT-11",
		     #"GMT-12" => "Pacific/Kwajalein",
		     #"Pacific/Kwajalein" => "GMT-12",
		     );		     

@TimeZones        = ('GMT-12', 'GMT-11', 'GMT-10', 'GMT-9', 'GMT-8',
		     'GMT-7', 'GMT-6', 'GMT-5', 'GMT-4', 'GMT-3',
		     'GMT-2', 'GMT-1', 'GMT+0', 'GMT+1', 'GMT+2',
		     'GMT+3', 'GMT+4', 'GMT+5', 'GMT+6', 'GMT+7',
		     'GMT+8', 'GMT+9', 'GMT+10', 'GMT+11', 'GMT+12');

# UI and monitoring database
$DB_dir_root      = "/var/cobalt";
$DB_dir           = "$DB_dir_root/uidb";
$ProcCache        = "/etc/locks/proclist";
$Uiconstructor    = "$AdminCGIs_dir/tools/uiConstructor.pl";

# Misc. things which are important at boot time 
$Cron_script      = "/etc/rc.d/init.d/cron.init";
$Crontab          = "/etc/crontab";
$Custo_script     = "/etc/rc.d/init.d/custodiat";
$Lcdsleepscript   = "/etc/rc.d/init.d/sleep.init";
$Lcdshowscript    = "/etc/rc.d/init.d/showip";
$Subsys           = "/var/lock/subsys"; # init script state directory
$Issuefile        = "/etc/issue";

# User variables
$Ptmp             = "/etc/ptmp";       # Password tmp/lock file
$Passwd           = "/etc/passwd";     # System password file
$Htptmp           = "$Lockdir/htptmp"; # Web password tmp/lock file
$Htpasswd         = "/etc/htpasswd";   # Web password file
$Htusers_dir      = "$UserServer_dir/html/users"; # the /users/ URL maps to here
$Userdir          = "$Htusers_dir";    # User home directories go here
$Usershell        = "/bin/sh";         # Default shell for users
$Badshell         = "/bin/badsh";      # shell for users who can't log in
$MaxGcosLen       = 256;               # Truncate GCOS field to this
$MaxPassLen       = 16;                # Require pwords to be shorter than this
$MinPassLen       = 3;                 # Require passwords to be at least this
$MaxNameLen       = 12;                # Do not allow names longer than this
$Firstuid         = 110;               # Start allocating UIDs from here
$Uid_file         = "$DB_dir_root/uid";# Keep track of UIDs allocated here
$Private_html     = "private";
$User_skel        = "/etc/skel/user";    # user template files
$UserDirPermissions = 0755;
$UserPrivateDirPermissions = 02750;
# These users can't be messed with, and won't show up on user lists
# Note that "admin" is not on this list.
%System_users     = ("root" => 1,"bin" => 1,"daemon" => 1,"adm" => 1,"lp" => 1,
		     "sync" => 1,"shutdown" => 1,"halt" => 1,"mail" => 1,
		     "news" => 1,"uucp" => 1,"operator" => 1,"games" => 1,
		     "gopher" => 1,"nobody" => 1,"httpd" => 1, "ftp" => 1); # 

# Group variables
$Htgroup_dir      = "$UserServer_dir/html/groups"; # the /groups/ URL maps to here
$Gtmp             = "$Lockdir/gtmp";   # Group tmp/lock file
$Group            = "/etc/group";      # System group file
$Htgroup          = "/etc/htgroup";    # Web group file
$Htgtmp           = "$Lockdir/htgtmp"; # Web group tmp/lock file
$Firstgid         = 110;               # Start allocating GIDs from here
$Usergroup        = 100;               # This is the "all" group
$UserDirGroup     = $Usergroup;        # The group that owns users home directories
$Group_skel       = "/etc/skel/group"; # group template files 
$MaxMembers       = 60;                # limit on number of members a group can have
$Mkdiscuss        = "/usr/local/sbin/mkdiscuss.sh"; # Script to create discussion group

# These groups can't be messed with, and won't show up on group lists
# Note that "admin" is not on this list.
%System_groups    = ("root" => 1,"bin" => 1,"daemon" => 1,"sys" => 1,
		     "adm" => 1,"tty" => 1,"disk" => 1,"lp" => 1,
		     "mem" => 1,"kmem" => 1,"wheel" => 1,"mail" => 1,
		     "news" => 1,"uucp" => 1,"man" => 1,
		     "games" => 1,"gopher" => 1,"dip" => 1, "ftp" => 1,
		     "httpd" => 1,"nobody" => 1,"httpd" => 1,"users" => 1,
		     "global" => 1, "homes" => 1, "admin" => 1);

# Special users and groups
$Admingid         = 0;                 # Admin users are in this group
$Adminuser        = "admin";           # What is this admin guy called, anyway?
$Adminpass        = "admin";           # The default admin password
$MainGroup        = "home";            # The home page group
$AlertList        = "sys";             # The alias that alerts get sent to
$MaxQuota         = 10240000;          # No-one's quota may be set above this

# Mailing list/alias variables
$Aliasfile        = "/etc/aliases";
$Altmp            = "$Lockdir/altmp";
$Newaliases_cmd   = "/usr/bin/newaliases";

$Vaca_msg         = ".vacation.msg";
$Vaca_prog        = "/usr/local/sbin/vacation.pl";
$Vaca_dir         = "/var/vacation";
$Vaca_timeout     = 86401;   # time between re-replies

# Quotas
$Quota_harder     = 1;   # the hard limit should be this much more than soft
                         # limit (in kilobytes); 1024 = 1 meg
$Userpart         = "/dev/hda4";
$Varpart          = "/dev/hda3";
$Df_cmd           = "/bin/df";
$Ps_cmd           = "/bin/ps";

# Colors for the page builder
# Colors are defined by a simple list of schemes (scheme 1, scheme 2, ...)
@Colors = ("bgcolor=FFFFFF link=660066 alink=336600 vlink=336600 text=000000 high=FFFF00", # 0
	   "bgcolor=CCCCFF text=000000 link=6633CC alink=993399 vlink=993399 high=FFFF00", # 1
	   "bgcolor=FFFF99 text=000000 link=CC0000 alink=FF9900 vlink=FF9900 high=FFFF00", # 2
	   "bgcolor=CCFF99 text=000000 link=336600 alink=6633CC vlink=6633CC high=FFFF00", # 3
	   "bgcolor=FFCC00 text=000000 link=3300CC alink=CC0033 vlink=CC0033 high=00FF00", # 4
	   "bgcolor=FF9966 text=000000 link=336666 alink=993399 vlink=993399 high=00FF00", # 5
	   "bgcolor=CC99CC text=000000 link=663366 alink=336600 vlink=336600 high=FFFF00", # 6
	   "bgcolor=FFFFFF text=009900 link=663366 alink=CC6633 vlink=CC6633 high=FFFF00", # 13 
	   "bgcolor=FFFFFF text=663399 link=CC6633 alink=336600 vlink=336600 high=FFFF00", # 14
	   "bgcolor=6633CC text=FFFFFF link=CCCC00 alink=9999FF vlink=9999FF high=0F0F0F", # 7
	   "bgcolor=000000 text=FFFFFF link=FFCC33 alink=FF6600 vlink=FF6600 high=FF0000", # 8
	   "bgcolor=CCCCCC text=000000 link=993300 alink=6633CC vlink=6633CC high=FFFF00", # 9
	   "bgcolor=FF0000 text=000000 link=FFCC00 alink=FF9933 vlink=FF9933 high=006400", # 11
	   "bgcolor=009900 text=FFFFFF link=FFCC00 alink=99CC00 vlink=99CC00 high=FF0000", # 12
	   "bgcolor=FFFFFF text=000000 link=663366 alink=336633 vlink=336633 high=FFFF00", # 10 
	   "bgcolor=FFFFFF text=990000 link=666600 alink=CC6633 vlink=CC6633 high=FFFF00", # 15 
	   "bgcolor=FFFFFF text=006666 link=CC6633 alink=663399 vlink=663399 high=FFFF00", # 16 
	   );

# the following values are from syscall.ph
# using syscall.ph slows us down enormously, though
$UsrQuota         = 0;
$GrpQuota         = 1;
$Q_GETQUOTA       = 0x0300; 
$Q_SYNC           = 0x0600; 
$Q_SETQLIM        = 0x0700; 
$SYS_Linux        = 4000; ;
$SYS_quotactl     = $SYS_Linux + 131;
$SUBCMDMASK       = 0x00ff; 
$SUBCMDSHIFT      = 8;

# Monitoring and autorepair system
$MinTx      = 6000;# Don't report if ww haven't had enough transmits
$CollYel    = 20;  # Collision rate of this percent is a yellow alert
$CollRed    = 24;  # Collision rate of this percent is a red alert
$DiskYel    = 80;  # If a disk is more than this percent full, yellow alert
$DiskRed    = 90;  # If a disk is more than this percent full, red alert
$LoadYel    = 3;   # If the load average is this high, yellow alert
$LoadRed    = 6;   # If the load average is this high, red alert
$QuotYel    = 85;  # If a user or group hits this % of quota, yellow alert
$QuotRed    = 95;  # If a user or group hits this % of quota, red alert
$SwapYel    = 20;  # This many swaps per second is a yellow alert
$SwapRed    = 40;  # This many swaps per second is a red alert
$VmemYel    = 50;  # If this percent of virtual memory is used, yellow alert
$VmemRed    = 75;  # If this percent of virtual memory is used, red alert

$MonDBDir         = "/var/cobalt";
$MaxLockAge       = 600; # delete lock files  older than this (in secs)
$MonRetries       = 2; # Try our repair magic this many times, to be sure
$MonWait          = 7; # Pause this long to let things settle btwn repair tries
$Status_db        = "$MonDBDir/status";
$Stat_relimit     = 7;       # only restart this many times
$Stat_lim_expire  = 86400;   # Expire the restart counter after this long
$Stat_notified    = 16384;   # Must be much larger than relimit
$Stat_restarted   = 32768;   # ditto

# factory default settings for services
%Services_default = ('atalk' => 0,
		     'dhcp' => 0,
		     'dns' => 0,
		     'ftp' => 1,
		     'gated_on' => 0,
		     'mail' => 1,
		     'networker' => 0,
		     'nfs' => 0,
		     'ntp' => 0,
		     'smb' => 0,
		     'snmp' => 0,
		     'telnet' => 1,
		     );
# Servers we monitor but can't repair
%Servers_nofix    = (
                     'cpu'   => 1,
                     'mem'   => 1,
                     'disk'  => 1,
                     'net'   => 1,
                    );
# Things we monitor but don't talk about
@Hidden_servers = ("lcd","inetd","crond","portmap","custo");

%Status           = (0 => "none",
		     1 => "green",
		     2 => "yellow",
		     3 => "red",
		     "none"   => 0,
		     "green"  => 1,
		     "yellow" => 2,
		     "red"    => 3,
		     );

%SeverityLogo    = ("0" =>
		    '<IMG SRC="/.cobalt/images/darkblueball.gif" BORDER=0>',
		    "1" =>
		    '<IMG SRC="/.cobalt/images/greenball.gif" BORDER=0>',
		    "2" =>
		    '<IMG SRC="/.cobalt/images/yellowball.gif" BORDER=0>',
		    "3" =>
		    '<IMG SRC="/.cobalt/images/redball.gif" BORDER=0>',
		    );
		    
#$Debug            = -e "/etc/DEBUG";
$Debug            = 0;
$Console          = "/dev/console";
$Sauce_log        = "/var/cobalt/sauce.log";
$ForkMe           = 0;     # Boolean: should we fork to manage users/groups?

# Miscellany
$ShiftJISToJIS_prog = '/usr/local/sbin/nkf';
$Messages_dir     = "/etc/cobalt/messages";
$Logrotate_dir    = "/etc/logrotate.d";
$Pam_dir          = "/etc/pam.d";
$Gzip             = "/bin/gzip";
$Tar		  = "/bin/tar";
$InfoPlace_backup	= "$UserServer_dir/cgi-bin/programs/docorg/infobases $UserServer_dir/cgi-bin/programs/docorg/program/config"; # InfoPlace is a 3rd party database program shipping on all WG Qubes.  This is a backup directory list to be included on complete backups only.  Contact zveri@infoplace.com

# web usage generation
$GenWebUsageInterval = 'daily';

%Features = ('adm' => 1,                # Admin web server
	     'adminRedirect' => 1,      # Redirect /admin/ to admin site
	     'anonFTP' => 0,            # Support anonymous FTP
	     'atalk' => 1,              # AppleShare
	     'autoGenWebUsage' => 0,    # Generate web usage automatically
	     'backups' => 1,            # Backup in the admin interface
	     'cobaltHomePage' => 0,     # is there a cobalt home page?
	     'cobaltRedirect' => 0,     # Redirect /cobalt/ to admin site
	     'defaultUserNameGen' => 1, # generate login & passwd from name
             'dhcpd' => 0,              # DHCPd user interface
	     'discuss' => 1,            # discussion groups
	     'dns' => 1,                # DNS server
	     'docorg' => 1,             # Document organizer
             'fpx' => 0,                # Microsoft FrontPage Server Extensions
	     'groups' => 1,             # groups of users
	     'groupdirs' => 1,          # groups get directories
	     'mail' => 1,               # mail service
	     'mx' => 0,                 # MX records in DNS
	     'nfs' => 0,                # NFS service
	     'ntp' => 0,                # network time protocol daemon
	     'pagebuilder' => 0,        # The way cool Page Builder
	     'personalRedirect' => 1,   # Redirect /personal/ to profile pages
	     'privatedirs' => 1,        # private dirs for users and groups
	     'proftpd' => 0,        	# proftpd specific support files ($FtpAdminHelp)
	     'quotas' => 1,             # user and group quotas
	     'search' => 1,             # Search engine
	     'siteAdminRedirect' => 0,  # Redirect /siteadmin/ to site management site
	     'siteManagement' => 0,     # Isolated sites on one system
	     'smb' => 1,                # samba (windows file sharing)
	     'snmp' => 0,               # Simple Network Management Protocol
	     'squid' => 0,              # squid caching server
	     'ssl' => 0,                # "secure" web server
	     'specialHomeSkel' => 1,    # copy index.html for home group from
	                                # /etc/skel/home instead of /etc/skel
	     'telnetConfig' => 1,       # Can we turn telnet on and off, etc?
             'throttle' => 0,           # Apache bandwidth throttling
	     'usersAddUser' => 0,       # Can we let users add users?
	     'usersCGIInWizard' => 1,   # users CGI config in wizard
	     'users' => 1,              # users
	     'webRequests' => 0,        # show web requests in user usage page
	     'vsites' => 0,             # virtual sites
	     'viewUsers' => 0,          # View Users Page
	     'viewGroups' => 0,         # View Groups Page
	     'www' => 1,                # user (port 80) web server
	    );

1;
